Bug 1292493 - Anaconda fails to automatically partition (EFI partition not correctly recognized)
Anaconda fails to automatically partition (EFI partition not correctly recogn...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 All
unspecified Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 10:16 EST by Vedran Miletić
Modified: 2016-12-20 12:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:06:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vedran Miletić 2015-12-17 10:16:03 EST
I have a MBR partition table on /dev/sda which has the following partitions

/dev/sda1 used as /
/dev/sda2 used as swap
/dev/sda3 used as /home

There is ~300 gigabytes of unpartitioned space after sda3. If I boot Fedora Workstation Live in legacy BIOS mode, automatic partitioning of the free space works very nicely, Fedora recognizes my other installation of Linux, etc.

If I boot Fedora in EFI mode, automatic partiton complains that I have to create EFI partition, even though EFI partition gets created.

Now, I do not expect EFI mode to be able to boot my other Linux installation which is BIOS mode, but I do expect automatic partitioning to either:
1) Accept the created EFI partition as suitable and continue the installation.
2) Give a more informative error message which explains why EFI partition it created is not suitable and how to remedy the situation.
Comment 1 Vedran Miletić 2015-12-17 10:21:11 EST
This is similar to bug 1168118, but not related to Mac and reproduced in Fedora 23.
Comment 2 Vedran Miletić 2015-12-17 10:30:44 EST
According to http://superuser.com/questions/563074/do-hard-drives-need-a-guid-partition-table-gpt-to-boot-in-uefi-mode

"(U)EFI-based systems, by specification, can only boot from GPT-style disks. The traditional BIOS can boot from MBR-style disks, and in some cases (depends on the manufacturer), they can also boot from GPT. However, as per the UEFI specification, the disk should have a GPT partition table."

It would still be much better if Anaconda explained what is the issue, e.g. "Installing Fedora in UEFI mode requires a GPT partition table. MBR is not supported."
Comment 3 Brian Lane 2015-12-17 19:46:24 EST
comment 2 is correct.
Comment 4 Gabriele Turchi 2016-11-20 08:00:48 EST
Many PCs are sold with UEFI firmware and MBR-style partitioning, and they are working with Windows. I understand the standard compliance, but there is a technical reason not to do that in Linux?

The problem arises especially when there is the need to install Linux but even is needed to keep the original Windows installed.
Comment 5 Fedora End Of Life 2016-11-24 09:18:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:06:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.